/*
 * centroid.h
 *
 * principle developer: Dr. Ye Ding
 * modifications to this source code are permitted with the permission of the copyright holder
 * or the principal developer.
 *
 * Copyright Health Resources Inc. 2007 
 * You may use distribute and modify this code under the terms
 * of the SFold license.  A copy of the Sfold license should have
 * been distributed with this file.
 *
 */

/* Threshold for including a base pair into the centroid */
#define PTHRESHOLD	0.5

#define overthreshold(x)	(x > PTHRESHOLD)


extern void compute_bpcount(structure **st, int nst, int *bpc, int seqlen);
extern structure *compute_centroid(int *bpc, int seqlen, int nst);
