#!/usr/bin/perl

use strict;

my $linenum =1;
my $exp_i = 6;
while (my $ffname = shift @ARGV) {
	if (open (F, "<$ffname")) {
			while (<F>) {
				if (/^[\s0-9]/g) {
					if (/(^[\s0-9]+)(program|subroutine|function|end$|endif|end if|end do|if|continue|do |go to)/) {
						my $term = $&;
						my $indent = length $1;
						$exp_i-=2 if ($2 eq "end" || $2 eq "endif" || $2 eq "end if" || $2 eq "end do");
						my $err="E" if ($indent != $exp_i);
						print "$linenum\t$err\t$indent\t$exp_i\t$term\n";
						$exp_i = $indent if ($indent != $exp_i); #change expectation so only one E per mistake.
						$exp_i+=2 if ($2 eq "program" || $2 eq "subroutine" || $2 eq "function" || $2 eq "if" || $2 eq "do ");
					}
				}
				++$linenum;
			}
		close(F);
	}
}
