#!/usr/bin/perl

#
# Change main.f to support dynamic memory allocation
#

print <<endofsubdef;
        subroutine f77sub(n, nr, ww, w, noligo, wi, nsirna,
     &          complement, numseq, single, hm, lm, fbp, sbase, ir6,
     &          ltype, h5, h3, hnum, seq1, ss, sseq, lcount, fbp10,
     &          pscale, probmbr, probmbl, probm1, probm2, probmm,
     &          psbase, lsumpr, x1, x2, x4, psseq, loopr, seq, seqc,
     &          seqcopy, infname, inflen, u0, lflen, iseed, nsample,
     &		fe, Bprob, confname, conflen, pardir, pardirlen,
     &		outdir, outdirlen, verbose, ext_mods)

        integer inflen, conflen, pardirlen, outdirlen
        character*(*) infname, confname, pardir, outdir
endofsubdef

while (<>) {
  chomp;

  s/^(\s*open\s*\(\s*unit=1\s*,\s*file\s*=\s*)[^,]*(.*)$/$1infname\(1:inflen\)$2/g;

  if (/^\s*parameter\s*\(/) {
    s/(.*\W)n\s*=\s*\d+(\D.*)/$1$2/g;
    s/(.*\W)ww\s*=\s*\d+(\D.*)/$1$2/g;
    s/(.*\W)nr\s*=\s*\d+(\D.*)/$1$2/g;
    s/(.*\W)w\s*=\s*\d+(\D.*)/$1$2/g;
    s/(.*\W)wi\s*=\s*\d+(\D.*)/$1$2/g;
    s/(.*\W)lflen\s*=\s*\d+(\D.*)/$1$2/g;
    s/(.*\W)nsample\s*=\s*\d+(\D.*)/$1$2/g;
    s/(.*\W)noligo\s*=\s*[^,\)]+([,\)]{1}.*)/$1$2/g;
    s/(.*\W)nsirna\s*=\s*[^,\)]+([,\)]{1}.*)/$1$2/g;
    s/(\s*,){2,}/,/g;
    s/(.*\()\s*,(.*)/$1$2/g;
    s/(.*),\s*(\).*)/$1$2/g;
    s/^\s*parameter\s*\(\s*\)\s*//g;
    next if (/^$/);
  }

  next if (/^\s*lflen\s*=\s*n\s*-\s*1\s*$/);
  next if (/^\s*complement\s*=\s*'[TFtf]'\s*$/);
  next if (/^\s*stop\s*$/);
  next if (/^\s*u0\s*=/);

  print $_, "\n";
}
