#!/usr/bin/perl

#By Adam Wolenc for Wadsworth Center 2010-05-25

open (S1000, "<out/sample_1000.out");

my %structs;
my $nstructs = 0;
my $line = <S1000>;
$line = <S1000>;
$line = <S1000>;
$line = <S1000>;
chomp;
while ($line =~ /^Structure +([^ ]+) +([^ ]+) +([^ ]+) +([^ ]+)$/) {
	my $en = $2;
	my $prob= $3;
	my $hasM= $4;
	my $struct = "";
	$line = <S1000>;
	chomp $line;
	while ($line =~ /^ +(\d+) +(\d+) +(\d+)$/) {
		$struct .= sprintf("[%3d %3d %3d]", $1, $2, $3);
		$line = <S1000>;
		chomp $line;
	}
	$structs{$struct}->{"count"}++;
	$structs{$struct}->{"en"}=$en;
	$structs{$struct}->{"prob"}=$prob;
	$structs{$struct}->{"hasM"}=$hasM;
	++$nstructs
}

my $top =0;
for my $s (sort { $structs{$b}->{"count"} <=> $structs{$a}->{"count"} } keys %structs) {
	printf("%5d (%5d expected) (%5.2f) hasM:%d: %s\n",  $structs{$s}->{"count"},  int($structs{$s}->{"prob"}*$nstructs), $structs{$s}->{"en"}, $structs{$s}->{"hasM"} , $s);
	$top++;
	last if ($top > 10);
}
